Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Screen Refresh in Lisp-Schleife

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Screen Refresh in Lisp-Schleife (1052 mal gelesen)
HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 72
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 21. Feb. 2012 14:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Bei Nutzung einer externen Anwendung durch (startapp ..) und warten in einer Lisp-Schleife macht Autocad keinen Screen-Refresh. Wenn ich eine andere Anwendung nach vorne hole oder meine externe Anwendung über dem Autocad-Screen zu bewegen, wird der Autocad-Screen falsch oder weiss dargestellt.

(startapp "extern.exe")
(while (not(findfile rfile)) (command "._delay" 100) )

Gibt es eine Möglichkeit dies zu verhindern?

Hans-Peter

------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 21. Feb. 2012 14:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für HPW 10 Unities + Antwort hilfreich

(princ)  ?

aber warum führst du die Extern.exe nicht mit der Methode "Run" des WSCRIPT.SHELL - Objektes aus ... dann macht auch dein Lisp nicht weiter , bis Extern.Exe wieder geschlossen wird

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 72
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 21. Feb. 2012 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Danke für den Tip.
Werde ich auch mal testen.
Leider würde das aber nicht in einer Autocad OEM funkionieren wo es ja kein VLAX gibt.

Grüsse,

Hans-Peter

------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 72
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 21. Feb. 2012 14:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Gerade mal getestet. Da wartet aber nichts. Mag aber am PascalScript-Interpreter liegen.

(setq shell (vlax-create-object "WScript.Shell"))
(vlax-invoke shell "run" (strcat "\"pdScript.exe\" \"C:\\Dokumente und Einstellungen\\...\\Eigene Dateien\\Pascal scripts\\Samples\\AutocadDialog\\AutocadDialog.dpas\" \"/pds{hide-from-taskbar=true}\" \"450\" \"150\" \"" rfile "\""))

Grüsse,

Hans-Peter

------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 21. Feb. 2012 15:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für HPW 10 Unities + Antwort hilfreich

und so ?

(vlax-invoke shell "run" (strcat "\"pdScript.exe\" \"C:\\Dokumente und Einstellungen\\...\\Eigene Dateien\\Pascal scripts\\Samples\\AutocadDialog\\AutocadDialog.dpas\" \"/pds{hide-from-taskbar=true}\" \"450\" \"150\" \"" rfile "\"") 1 :vlax-true)

bei unsichtbar 1 durch 6 ersetzen

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 72
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 21. Feb. 2012 15:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

1 :vlax-true hat funktioniert!
Danke für den Tip.
Leider bleibt das Manko das man VLAX braucht.

Hans-Peter

------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 72
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 23. Feb. 2012 08:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Ich nutze es nun erst mal so:

Code:

(defun c:pdia ( / rfile techo shell );Öffnen pdScript Dialog
(princ "\nWarte auf Dialog Ende\n") ;
(setq rfile (strcat (getenv "TEMP") "\\~pdia_return.txt" )) ;Resultfile für Return-Data und Ende-Signal in der Startapp-Version
(setq techo(getvar "CMDECHO")) ;
(setvar "CMDECHO" 0) ;aus
(if (findfile rfile) ;
(vl-file-delete rfile) ;Altes Resultfile erst mal löschen
) ;
(if (null vlax-add-cmd)(vl-load-com)) ;
(if (null vlax-add-cmd) ;
(progn ;
(startapp "pdScript.exe" (strcat "\"C:\\Dokumente und Einstellungen\\wickh.INTERLUEBKE\\Eigene Dateien\\Pascal scripts\\Samples\\AutocadDialog\\AutocadDialog.dpas\" \"/pds{hide-from-taskbar=true}\" \"450\" \"150\" \"" rfile "\""))
(while (not(findfile rfile)) ;
(command "._delay" 100) ;
) ;
) ;
(progn ;
(setq shell (vlax-create-object "WScript.Shell")) ;
(vlax-invoke shell "run" (strcat "\"pdScript.exe\" \"C:\\Dokumente und Einstellungen\\wickh.INTERLUEBKE\\Eigene Dateien\\Pascal scripts\\Samples\\AutocadDialog\\AutocadDialog.dpas\" \"/pds{hide-from-taskbar=true}\" \"450\" \"150\" \"" rfile "\"")1 :vlax-true)
) ;
) ;
(princ "\nDialog beendet") ;
(setvar "CMDECHO" techo) ;wieder an
(princ) ;
) ;


------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz